﻿@model dbChange.Models.Staff
@using dbChange.Models;
@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/Admin/_Layout_Admin.cshtml";

    var lsTinh = ViewData["lsTinh"] as List<PL3_DanhMucHanhChinh>;
    var lsDiaDiemTiem = ViewData["lsDiaDiemTiem"] as List<PL4_DiaDiemTiem>;
    var lsDonVi = ViewData["lsDonVi"] as List<DM_BoPhanChiTiet>;
}

<h1>Thêm nhân viên</h1>
<hr />
<div>
    <a asp-action="Index">Quay lại</a>
</div>
<hr />
<form asp-action="Create">
    <div class="row editStaff">

        <div class="col-md-4">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="HoTen" class="control-label">Họ tên</label>
                <input asp-for="HoTen" class="form-control" />
                <span asp-validation-for="HoTen" class="text-danger">Không được để trống</span>
            </div>
            <div class="form-group">
                <label asp-for="NgayS" class="control-label">Ngày sinh</label>
                <input asp-for="NgayS" class="form-control" />
                <span asp-validation-for="NgayS" class="text-danger">Không được để trống</span>
            </div>
            <div class="form-group">
                <label asp-for="ThangS" class="control-label">Tháng sinh</label>
                <input asp-for="ThangS" class="form-control" />
                <span asp-validation-for="ThangS" class="text-danger">Không được để trống</span>
            </div>
            <div class="form-group">
                <label asp-for="NamS" class="control-label">Năm sinh</label>
                <input asp-for="NamS" class="form-control" />
                <span asp-validation-for="NamS" class="text-danger">Không được để trống</span>
            </div>
            <div class="form-group">
                <label asp-for="GioiTinh" class="control-label">Giới tính</label>
                <select asp-for="GioiTinh" class="form-control">
                    <option value="0">Nam</option>
                    <option value="1">Nữ</option>
                </select>

            </div>
            <div class="form-group">
                <label asp-for="DienThoai" class="control-label">Điện thoại</label>
                <input asp-for="DienThoai" class="form-control" />
                <span asp-validation-for="DienThoai" class="text-danger">Không được để trống</span>
            </div>
            <div class="form-group">
                <label asp-for="CMND" class="control-label">CMND</label>
                <input asp-for="CMND" class="form-control" />
                <span asp-validation-for="CMND" class="text-danger">Không được để trống</span>
            </div>
            <div class="form-group">
                <label asp-for="BHYT" class="control-label">BHYT</label>
                <input asp-for="BHYT" class="form-control" />
            </div>
        </div>

        <div class="col-md-4">



            <div class="form-group">
                <label asp-for="MaTinh" class="control-label">Tỉnh/Thành phố</label>
                <select asp-for="MaTinh" class="form-control">
                    <option value="">Chọn</option>
                    @{
                        foreach (var row in lsTinh)
                        {
                            <option value="@row.Ma_TinhThanhPho">@row.Ten_TinhThanhPho</option>
                        }
                    }
                </select>
            </div>
            <div class="form-group">
                <label asp-for="MaQuan" class="control-label">Quận/Huyện</label>
                <select class="form-control from-control-sm" asp-for="MaQuan">
                </select>
                </div>
            <div class="form-group">
                <label asp-for="MaPhuong" class="control-label">Phường/Xã</label>
                <select class="form-control from-control-sm" asp-for="MaPhuong"></select>
            </div>
            <div class="form-group">
                <label asp-for="DiaChi" class="control-label">Địa chỉ</label>
                <input asp-for="DiaChi" class="form-control" />
                <span asp-validation-for="DiaChi" class="text-danger">Không được để trống</span>
            </div>
            <div class="form-group">
                <label asp-for="Mui1_TenVacxin" class="control-label">Tên vắc xin (Mũi 1)</label>
                <input asp-for="Mui1_TenVacxin" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Mui1_NgayTiem" class="control-label">Ngày tiêm vắc xin (Mũi 1)</label>
                <input type="datetime-local" asp-for="Mui1_NgayTiem" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Mui1_SoLo" class="control-label">Số lô vắc xin (Mũi 1)</label>
                <input asp-for="Mui1_SoLo" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Mui1_DiaDiem" class="control-label">Địa điểm tiêm vắc xin (Mũi 1)</label>

                <select class="form-control from-control-sm" asp-for="Mui1_DiaDiem">
                    <option value="">Chọn</option>
                    @{
                        foreach (var row in lsDiaDiemTiem)
                        {
                            <option value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                        }
                    }
                </select>
            </div>
            <div class="form-group">
                <label asp-for="Mui2_TenVacxin" class="control-label">Tên vắc xin (Mũi 2)</label>
                <input asp-for="Mui2_TenVacxin" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Mui2_NgayTiem" class="control-label">Ngày tiêm vắc xin (Mũi 2)</label>
                <input type="datetime-local" asp-for="Mui2_NgayTiem" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Mui2_SoLo" class="control-label">Số lô vắc xin (Mũi 2)</label>
                <input asp-for="Mui2_SoLo" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Mui2_DiaDiem" class="control-label">Địa điểm tiêm vắc xin (Mũi 2)</label>
                <select class="form-control from-control-sm" asp-for="Mui2_DiaDiem">
                    <option value="">Chọn</option>
                    @{
                        foreach (var row in lsDiaDiemTiem)
                        {
                            <option value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                        }
                    }
                </select>
            </div>
            <div class="form-group">
                <label asp-for="GhiChu" class="control-label">Ghi chú</label>
                <input asp-for="GhiChu" class="form-control" />
            </div>

        </div>
        <div class="col-md-4">

            <div class="form-group">
                <label asp-for="DonViChiTiet" class="control-label">Đơn vị</label>
                <select class="form-control from-control-sm" asp-for="DonViChiTiet">
                    @{
                        foreach (var row in lsDonVi)
                        {
                            <option value="@row.TenDonVi">@row.TenDonVi</option>
                        }
                    }
                </select>
            </div>
            <div class="form-group">
                <label asp-for="BoPhanId" class="control-label">Bộ phận</label>
                <select class="form-control from-control-sm" asp-for="BoPhanId"></select>

            </div>
            <div class="form-group">
                <label asp-for="BiF0" class="control-label">Bị F0</label>
                <select asp-for="BiF0" class="form-control">
                    <option value="true">Có</option>
                    <option selected value="false">Không</option>
                </select>

            </div>
            <div class="form-group">
                <label asp-for="NgayXuatVien" class="control-label">Ngày xuất viện</label>
                <input type="datetime-local" asp-for="NgayXuatVien" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Ma_ToKhuPho" class="control-label">Tổ khu phố</label>
                <select class="form-control from-control-sm 1" asp-for="Ma_ToKhuPho"></select>

            </div>
            <div class="form-group">
                <label asp-for="CCCD" class="control-label">CCCD</label>
                <input asp-for="CCCD" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="MaNS" class="control-label">Mã nhân sự</label>
                <input asp-for="MaNS" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="SSBH" class="control-label">SSBH</label>
                <input asp-for="SSBH" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="LoaiLD" class="control-label">Loại LĐ</label>
                <input asp-for="LoaiLD" class="form-control" />
            </div>
        </div>
        <div class="col-md-4" style="display:none">

            <div class="form-group">
                <label asp-for="TrangThaiNhanSu" class="control-label">Trạng thái nhân sự</label>
                <input asp-for="TrangThaiNhanSu" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="DonVi" class="control-label"></label>
                <input asp-for="DonVi" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="MaNhom" class="control-label"></label>
                <input asp-for="MaNhom" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="TenTinh" class="control-label"></label>
                <input asp-for="TenTinh" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="TenQuan" class="control-label"></label>
                <input asp-for="TenQuan" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="TenPhuong" class="control-label"></label>
                <input asp-for="TenPhuong" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="KetQuaImPort" class="control-label"></label>
                <input asp-for="KetQuaImPort" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="NgayCapNhat" class="control-label"></label>
                <input asp-for="NgayCapNhat" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="NguoiCapNhat" class="control-label"></label>
                <input asp-for="NguoiCapNhat" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="UrlHinhGiayXN" class="control-label"></label>
                <input asp-for="UrlHinhGiayXN" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="PhanNhom" class="control-label"></label>
                <input asp-for="PhanNhom" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="TinhTrang" class="control-label"></label>
                <input asp-for="TinhTrang" class="form-control" />
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="ISok" /> @Html.DisplayNameFor(model => model.ISok)
                </label>
            </div>
            <div class="form-group">
                <label asp-for="Ten_ToKhuPho" class="control-label"></label>
                <input asp-for="Ten_ToKhuPho" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="VungCovid" class="control-label"></label>
                <input asp-for="VungCovid" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="TenBoPhan" class="control-label">Bộ phận</label>
                <input asp-for="TenBoPhan" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="IdWeb" class="control-label"></label>
                <input asp-for="IdWeb" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="LinkWeb" class="control-label"></label>
                <input asp-for="LinkWeb" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="MaQR" class="control-label"></label>
                <input asp-for="MaQR" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="LinkImage" class="control-label"></label>
                <input asp-for="LinkImage" class="form-control" />
            </div>

        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-success" />
                <a class="btn btn-primary" asp-action="Index">Quay lại</a>
            </div>
        </div>
    </div>
</form>

